# WOK
TKWOK
WOKDeliv

# WOKDeliv_DeliveryStep Class Reference

Describes general services for delivery steps
.

`#include <WOKDeliv_DeliveryStep.hxx>`

Inheritance diagram for WOKDeliv_DeliveryStep:

[legend]

## Public Member Functions

virtual Standard_EXPORT Handle_WOKernel_File | AdmFile (const Handle(TCollection_HAsciiString)&aname) const
virtual Standard_EXPORT Handle_WOKernel_Locator | OutLocator () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | CopyAFile (const Handle(WOKernel_DevUnit)&delivunit, const Handle(WOKernel_File)&fromFile, const Handle(WOKernel_File)&toFile, const Standard_Boolean silent=Standard_False)
static Standard_EXPORT Handle_WOKernel_Parcel | GetParcel (const Handle(WOKernel_DevUnit)&delivunit, const Handle(TCollection_HAsciiString)&name)
static Standard_EXPORT Handle_WOKernel_DevUnit | GetParcelUnit (const Handle(WOKernel_DevUnit)&delivunit, const Handle(WOKernel_Parcel)&parcel, const Handle(WOKernel_DevUnit)&aUnit)

## Protected Member Functions

Standard_EXPORT | WOKDeliv_DeliveryStep (const Handle(WOKMake_BuildProcess)&aprocess, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
Standard_EXPORT Handle_TCollection_HAsciiString | OutputDirTypeName () const
Standard_EXPORT Handle_WOKernel_File | GetCOMPONENTS ()
Standard_EXPORT Handle_WOKDeliv_DeliveryList | ParseCOMPONENTS (const Standard_Integer aDeliveryStep)
Standard_EXPORT Handle_TCollection_HAsciiString | GetFullParcelName (const Handle(TCollection_HAsciiString)&aParcelUnitName)
Standard_EXPORT Handle_WOKMake_InputFile | GetInFileCOMPONENTS () const
Standard_EXPORT void | DefineOutLocator ()
virtual Standard_EXPORT Standard_Boolean | HandleOutputFile (const Handle(WOKMake_OutputFile)&anfile)
| Handles Output file new/same/disappereread .
virtual Standard_EXPORT void | AcquitExecution (const Handle(WOKMake_HSequenceOfInputFile)&execlist)

## Protected Attributes

Handle_WOKernel_Locator | myOutLocator
Handle_WOKDeliv_DeliveryList | myList
Handle_WOKernel_Locator | myParcelLocator

## Private Member Functions

Standard_EXPORT Handle_WOKernel_Locator | DefineLocator ()

## Constructor & Destructor Documentation

Standard_EXPORT WOKDeliv_DeliveryStep::WOKDeliv_DeliveryStep | ( | const Handle(WOKMake_BuildProcess)& | aprocess,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT void WOKDeliv_DeliveryStep::AcquitExecution | ( | const Handle(WOKMake_HSequenceOfInputFile)& | execlist | ) | `[protected, virtual]`

| Reimplemented from WOKMake_Step.

virtual Standard_EXPORT Handle_WOKernel_File WOKDeliv_DeliveryStep::AdmFile | ( | const Handle(TCollection_HAsciiString)& | aname | ) | const`[virtual]`

| Reimplemented from WOKMake_Step.

static Standard_EXPORT Standard_Boolean WOKDeliv_DeliveryStep::CopyAFile | ( | const Handle(WOKernel_DevUnit)& | delivunit,
|  | const Handle(WOKernel_File)& | fromFile,
|  | const Handle(WOKernel_File)& | toFile,
|  | const Standard_Boolean | silent = `Standard_False`
| ) | `[static]`

Standard_EXPORT Handle_WOKernel_Locator WOKDeliv_DeliveryStep::DefineLocator | ( |  | ) | `[private]`

Standard_EXPORT void WOKDeliv_DeliveryStep::DefineOutLocator | ( |  | ) | `[protected]`

Standard_EXPORT Handle_WOKernel_File WOKDeliv_DeliveryStep::GetCOMPONENTS | ( |  | ) | `[protected]`

Standard_EXPORT Handle_TCollection_HAsciiString WOKDeliv_DeliveryStep::GetFullParcelName | ( | const Handle(TCollection_HAsciiString)& | aParcelUnitName | ) | `[protected]`

Standard_EXPORT Handle_WOKMake_InputFile WOKDeliv_DeliveryStep::GetInFileCOMPONENTS | ( |  | ) | const`[protected]`

static Standard_EXPORT Handle_WOKernel_Parcel WOKDeliv_DeliveryStep::GetParcel | ( | const Handle(WOKernel_DevUnit)& | delivunit,
|  | const Handle(TCollection_HAsciiString)& | name
| ) | `[static]`

static Standard_EXPORT Handle_WOKernel_DevUnit WOKDeliv_DeliveryStep::GetParcelUnit | ( | const Handle(WOKernel_DevUnit)& | delivunit,
|  | const Handle(WOKernel_Parcel)& | parcel,
|  | const Handle(WOKernel_DevUnit)& | aUnit
| ) | `[static]`

Standard_EXPORT const WOKDeliv_DeliveryStep::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKMake_Step. Reimplemented in WOKDeliv_DelivBuildArchive, WOKDeliv_DelivBuildExec, WOKDeliv_DelivBuildSource, WOKDeliv_DeliveryBase, WOKDeliv_DeliveryCopy, WOKDeliv_DeliveryFiles, WOKDeliv_DeliveryGET, WOKDeliv_DeliveryListShared, WOKDeliv_DeliveryOBJSSchema, and WOKDeliv_DeliveryStepList.

virtual Standard_EXPORT Standard_Boolean WOKDeliv_DeliveryStep::HandleOutputFile | ( | const Handle(WOKMake_OutputFile)& | anfile | ) | `[protected, virtual]`

| Reimplemented from WOKMake_Step.

virtual Standard_EXPORT Handle_WOKernel_Locator WOKDeliv_DeliveryStep::OutLocator | ( |  | ) | const`[virtual]`

| Reimplemented from WOKMake_Step.

Standard_EXPORT Handle_TCollection_HAsciiString WOKDeliv_DeliveryStep::OutputDirTypeName | ( |  | ) | const`[protected, virtual]`

| Implements WOKMake_Step.

Standard_EXPORT Handle_WOKDeliv_DeliveryList WOKDeliv_DeliveryStep::ParseCOMPONENTS | ( | const Standard_Integer | aDeliveryStep | ) | `[protected]`

## Field Documentation

Handle_WOKDeliv_DeliveryList WOKDeliv_DeliveryStep::myList `[protected]`

Handle_WOKernel_Locator WOKDeliv_DeliveryStep::myOutLocator `[protected]`

Handle_WOKernel_Locator WOKDeliv_DeliveryStep::myParcelLocator `[protected]`

The documentation for this class was generated from the following file:

- WOKDeliv_DeliveryStep.hxx